%define upstream_name    Quota
%define upstream_version 1.7.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Quota module for perl 
License:    BSD-like
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/T/TO/TOMZO/%{upstream_name}-%{version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildRequires: quota-devel
Requires:   quota
%description
The Quota module provides access to file system quotas. The quotactl
system call or ioctl is used to query or set quotas on the local host,
or queries are submitted via RPC to a remote host. Mount tables can be
parsed with getmntent and paths can be translated to device files (or
whatever the actual quotactl implementations needs as argument) of the
according file system.

%prep
%setup -q -n %{upstream_name}-%{version}

# fix perl path
find -type f | xargs perl -pi -e "s|/usr/drwho/local/bin/perl|%{_bindir}/perl|g"
find -type f | xargs perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
#make test

%install
%makeinstall_std

%files
%doc CHANGES INSTALL META.yml README
%{perl_vendorarch}/auto/Quota
%{perl_vendorarch}/Quota.pm
%{_mandir}/*/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.7.1-2.mga4
+ Revision: 538471
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 sander85 <sander85> 1.7.1-1.mga4
+ Revision: 489741
- update to 1.7.1

* Mon Sep 02 2013 luigiwalser <luigiwalser> 1.7.0-2.mga4
+ Revision: 474230
- fix BR for quota package split

* Fri Aug 16 2013 sander85 <sander85> 1.7.0-1.mga4
+ Revision: 466889
- update to 1.7.0

* Wed May 29 2013 jquelin <jquelin> 1.6.7-4.mga4
+ Revision: 430929
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.6.7-3.mga3
+ Revision: 372179
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.6.7-2.mga3
+ Revision: 251087
- rebuild for perl 5.16

* Mon Nov 14 2011 jquelin <jquelin> 1.6.7-1.mga2
+ Revision: 167657
- update to 1.6.7

* Wed Jun 15 2011 jquelin <jquelin> 1.6.6-1.mga2
+ Revision: 107391
- update to 1.6.6

* Sun Jun 12 2011 sander85 <sander85> 1.6.5-2.mga2
+ Revision: 104931
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.6.5-1.mga1
+ Revision: 31071
- mageia rebuild
- imported package perl-Quota


* Tue Jan 04 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.6.5-1mdv2011.0
+ Revision: 628597
- update to new version 1.6.5

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.6.4-2mdv2011.0
+ Revision: 556117
- rebuild for perl 5.12

* Thu Jan 14 2010 Jérôme Quelin <jquelin@mandriva.org> 1.6.4-1mdv2010.1
+ Revision: 491180
- update to 1.6.4

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 1.6.3-2mdv2010.0
+ Revision: 440617
- rebuild

* Sun Dec 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.6.3-1mdv2009.1
+ Revision: 320546
- new version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.6.2-4mdv2009.0
+ Revision: 258279
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.6.2-3mdv2009.0
+ Revision: 246341
- rebuild

* Tue Jan 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.6.2-1mdv2008.1
+ Revision: 152910
- update to new version 1.6.2
- update to new version 1.6.2

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.6.1-2mdv2008.1
+ Revision: 152249
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.6.1-1mdv2008.1
+ Revision: 114492
- update to new version 1.6.1

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.6.0-1mdv2008.1
+ Revision: 104568
- update to new version 1.6.0

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.2-1mdv2008.1
+ Revision: 97561
- update to new version 1.5.2

* Wed May 09 2007 Oden Eriksson <oeriksson@mandriva.com> 1.5.1-3mdv2008.0
+ Revision: 25454
- rebuild

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 1.5.1-2mdv2008.0
+ Revision: 25105
- rebuild


* Thu Apr 13 2006 Oden Eriksson <oeriksson@mandriva.com> 1.5.1-1mdk
- initial Mandriva package

